Properties Methods Events Config Options Direct Link

# Class Ext.ux.tree.TreeGridSorter

Package: | Ext.ux.tree
Defined In: | TreeGridSorter.js
Class: | TreeGridSorter
Extends: | Object

Provides sorting of nodes in a Ext.ux.tree.TreeGrid. The TreeGridSorter automatically monitors events on the associated TreeGrid that might affect the tree's sort order (beforechildrenrendered, append, insert and textchange). Example usage:

    new Ext.ux.tree.TreeGridSorter(myTreeGrid, {
         folderSort: true,
         dir: "desc",
         sortType: function(node) {
             // sort by a custom, typed attribute:
             return parseInt(node.id, 10);
         }
     });

## Config Options

Config Options | Defined By
--- | ---
| sortAscText : String The text displayed in the 'Sort Ascending' menu item (defaults to `'Sort Ascending'`) | TreeGridSorter
| sortAscText : String The text displayed in the 'Sort Ascending' menu item (defaults to `'Sort Ascending'`) | TreeGridSorter
| sortClasses : Array The CSS classes applied to a header when it is sorted. (defaults to `['sort-asc', 'sort-desc']`) | TreeGridSorter
| sortClasses : Array The CSS classes applied to a header when it is sorted. (defaults to `['sort-asc', 'sort-desc']`) | TreeGridSorter
| sortDescText : String The text displayed in the 'Sort Descending' menu item (defaults to `'Sort Descending'`) | TreeGridSorter
| sortDescText : String The text displayed in the 'Sort Descending' menu item (defaults to `'Sort Descending'`) | TreeGridSorter

## Public Properties

This class has no public properties.

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.